## topal 0.7.13.3

=== Makefile ===
# `Topal': GPG/Pine integration
# 
# Copyright (C) 2001-2003  Phillip J. Brooke
# 
#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.
# 
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
# 
#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

.PHONY:	all clean realclean distclean package check install distrib all2 checkrcs tagrcs

RELEASECODE=$(shell cat release)

# If you intend to redistribute this package, you will obviously need
# to substitute your own key id here.
MYKEY=0x50973B91


GENFILES=$(addprefix ./,version_id.ads help.ads help.adb b~topal.ads b~topal.adb)
CFILES=$(shell find . -maxdepth 1 -name \*.c)
ADSFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.ads))
ADBFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.adb))
OTHERFILES=Makefile README.html topal.man COPYING release mkversionid mkhelp help.txt mkdistrib pine-4.44-patch pine-4.50-patch pine-4.53-patch pine-4.58-patch
TOPALDEPS=ada-readline-c.o ada-echo-c.o externals-c.o version_id.ads help.ads help.adb $(ADSFILES) $(ADBFILES)

# The default action.
all:	topal check README.txt

all2:	package distrib

ada-readline-c.o:	ada-readline-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) ada-readline-c.c

ada-echo-c.o:	ada-echo-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) ada-echo-c.c

externals-c.o:	externals-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) externals-c.c

topal:	$(TOPALDEPS)
	gnatmake -gnatwa -gnato -O2 $(TOPALDEBUG) topal

topal.gz:	topal
	gzip -c9 topal > topal.gz

topal.gz.asc:	topal.gz
	-rm topal.gz.asc
	-gpg --detach-sign --armor --local-user=$(MYKEY) topal.gz

topal-ps:	$(TOPALDEPS)
	gnatmake -gnatwa -gnato -o topal-ps -O2 $(TOPALDEBUG) topal -bargs -static
	strip topal-ps

topal-ps.gz:	topal-ps
	gzip -c9 topal-ps > topal-ps.gz

topal-ps.gz.asc:	topal-ps.gz
	-rm topal-ps.gz.asc
	-gpg --detach-sign --armor --local-user=$(MYKEY) topal-ps.gz

version_id.ads:	mkversionid release
	./mkversionid $(RELEASECODE)

help.ads help.adb: mkhelp help.txt
	./mkhelp

README.txt:	README.html
	lynx -dont_wrap_pre -dump README.html > README.txt

check:	
	weblint README.html

install:	all
	@echo Sorry, install doesn\'t actually install anything at the moment.
	@echo Please copy the following files to where you actually want them:
	@echo .. The executable: topal
	@echo .. The documentation: README.html README.txt COPYING
	@echo .. The manual pages: topal.man
	@echo .. .. \(Install it as topal.1\)

clean:
	-rm *.o *.ali $(GENFILES)
# Clean packaging directories.
	-rm -rf topal-[0-9]*

distclean realclean:	clean
	-rm topal topal.gz topal.gz.asc topal-ps topal-ps.gz topal-ps.gz.asc README.txt topal-package*.{tgz,tgz.sig,tgz.asc} *~
	-rm -rf www www.bak

package:	check topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc

topal-package-$(RELEASECODE).tgz:	$(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) README.txt
	-rm -rf topal-$(RELEASECODE)
	mkdir topal-$(RELEASECODE) && \
	cp -r $(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) README.txt topal-$(RELEASECODE) && \
	tar cvzf topal-package-$(RELEASECODE).tgz topal-$(RELEASECODE)


topal-package-$(RELEASECODE).tgz.asc:	topal-package-$(RELEASECODE).tgz
	-rm topal-package-$(RELEASECODE).tgz.asc
	-gpg --detach-sign --armor --local-user=$(MYKEY) topal-package-$(RELEASECODE).tgz

distrib:	 topal-package-$(RELEASECODE).tgz.asc topal.gz.asc topal-ps.gz.asc mkdistrib release
	-rm -rf www
	-mkdir www && \
	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.gz topal.gz.asc topal-ps.gz topal-ps.gz.asc README.html COPYING pine-*-patch release www ; \
	(cd www && ../mkdistrib $(RELEASECODE))

# This target will be useless to anyone without the RCS files....
checkrcs:	
	-for name in $$(find . -maxdepth 1 -type f); do ls -l RCS/$${name},v;done
	-for name in $$(ls RCS); do ls -l $$(basename $${name} ,v);done

# This target will be useless to anyone without the RCS files....
tagrcs:
	rcs -nrel-$$(echo $(RELEASECODE)|sed 's/\./-/g'): RCS/*

## topal 62

=== Makefile ===
# Topal: GPG/GnuPG and Alpine/Pine integration
# Copyright (C) 2001--2008  Phillip J. Brooke
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

.PHONY:	all clean realclean distclean package install distrib all2 FORCE

RELEASECODE=$(shell cat release)
BUILDDATE=$(shell date '+%Y-%m-%dT%H%M%S%Z')

# If you intend to redistribute this package, you will obviously need
# to substitute your own key id here.
MYKEY=0x50973B91


GENFILES=$(addprefix ./,version_id.adb help.ads help.adb b~topal.ads b~topal.adb)
CFILES=$(shell find . -maxdepth 1 -name \*.c)
ADSFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.ads))
ADBFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.adb))
OTHERFILES=Makefile README.html topal.man COPYING release mkversionid mkhelp help.txt mkdistrib $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch)
TOPALDEPS=ada-readline-c.o ada-echo-c.o externals-c.o version_id.adb help.ads help.adb $(ADSFILES) $(ADBFILES)

INSTALLPATH ?= /usr
INSTALLPATHBIN ?= $(INSTALLPATH)/bin
INSTALLPATHMAN ?= $(INSTALLPATH)/share/man
INSTALLPATHDOC ?= $(INSTALLPATH)/share/doc/topal
INSTALLPATHPATCHES ?= $(INSTALLPATH)/share/topal/patches

# The default action.
all:	topal mime-tool README.txt

all2:	package distrib

ada-readline-c.o:	ada-readline-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) ada-readline-c.c

ada-echo-c.o:	ada-echo-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) ada-echo-c.c

externals-c.o:	externals-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) externals-c.c

mime-tool:	
	make -C MIME-tool

topal:	$(TOPALDEPS)
	gnatmake -gnatwa -gnato -O2 $(TOPALDEBUG) topal
	-strip topal

topal.gz:	topal
	gzip -c9 topal > topal.gz

topal.gz.asc:	topal.gz
	-rm topal.gz.asc
	-gpg --detach-sign --armor --local-user=$(MYKEY) topal.gz

topal-ps:	$(TOPALDEPS)
	gnatmake -gnatwa -gnato -o topal-ps -O2 $(TOPALDEBUG) topal -bargs -static
	-strip topal-ps

topal-ps.gz:	topal-ps
	gzip -c9 topal-ps > topal-ps.gz

topal-ps.gz.asc:	topal-ps.gz
	-rm topal-ps.gz.asc
	-gpg --detach-sign --armor --local-user=$(MYKEY) topal-ps.gz

# FORCE, because BUILDDATE changes each time....
version_id.adb:	mkversionid release FORCE
	./mkversionid $(RELEASECODE) $(BUILDDATE)

help.ads help.adb: mkhelp help.txt
	./mkhelp

README.txt:	README.html
	lynx -dont_wrap_pre -dump README.html > README.txt

install:	all
	install -d $(INSTALLPATHBIN) $(INSTALLPATHDOC) $(INSTALLPATHMAN)/man1 $(INSTALLPATHPATCHES)
	install -m 755 -s topal $(INSTALLPATHBIN)
	install -m 644 README.html README.txt COPYING $(INSTALLPATHDOC)
	install -m 644 topal.man $(INSTALLPATHMAN)/man1/topal.1
	install -m 644 pine-*.patch alpine-*.patch $(INSTALLPATHPATCHES)
	install -m 755 -s MIME-tool/mime-tool $(INSTALLPATHBIN)
	install -m 644 MIME-tool/mime-tool.man $(INSTALLPATHMAN)/man1/mime-tool.1

clean:
	-rm *.o *.ali $(GENFILES)
# Clean packaging directories.
	-rm -rf topal-[0-9]*
	make -C MIME-tool clean

distclean realclean:	clean
	-rm topal topal.gz topal.gz.asc topal-ps topal-ps.gz topal-ps.gz.asc README.txt topal-package*.{tgz,tgz.sig,tgz.asc} *~
	-rm -rf www www.bak
	make -C MIME-tool realclean

package:	topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc

topal-package-$(RELEASECODE).tgz:	$(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) README.txt
	-rm -rf topal-$(RELEASECODE)
	mkdir topal-$(RELEASECODE)
	cp -r $(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) README.txt MIME-tool topal-$(RELEASECODE)
	find topal-$(RELEASECODE) -type f | xargs chmod 644
	find topal-$(RELEASECODE) -type f -name mk\* | xargs chmod 755
	chmod 755 topal-$(RELEASECODE)
	tar cvzf topal-package-$(RELEASECODE).tgz topal-$(RELEASECODE)


topal-package-$(RELEASECODE).tgz.asc:	topal-package-$(RELEASECODE).tgz
	-rm topal-package-$(RELEASECODE).tgz.asc
	-gpg --detach-sign --armor --local-user=$(MYKEY) topal-package-$(RELEASECODE).tgz

distrib:	 topal-package-$(RELEASECODE).tgz.asc topal.gz.asc topal-ps.gz.asc mkdistrib release
	-rm -rf www
	mkdir www
	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.gz topal.gz.asc topal-ps.gz topal-ps.gz.asc README.html COPYING pine-*.patch alpine-*.patch release www
	cd www && ../mkdistrib $(RELEASECODE)

FORCE:

## topal 72

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Topal: GPG/GnuPG and Alpine/Pine integration
-# Copyright (C) 2001--2008  Phillip J. Brooke
+# Copyright (C) 2001--2010  Phillip J. Brooke
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 3 as
@@ -15,7 +15,7 @@
 
 .PHONY:	all clean realclean distclean package install distrib all2 FORCE
 
-RELEASECODE=$(shell cat release)
+RELEASECODE=$(shell grep '^<dt>' README.html | tail -1 | sed 's/.* release //; sx</a>.*$$xx')
 BUILDDATE=$(shell date '+%Y-%m-%dT%H%M%S%Z')
 
 # If you intend to redistribute this package, you will obviously need
@@ -27,7 +27,7 @@
 CFILES=$(shell find . -maxdepth 1 -name \*.c)
 ADSFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.ads))
 ADBFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.adb))
-OTHERFILES=Makefile README.html topal.man COPYING release mkversionid mkhelp help.txt mkdistrib $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch)
+OTHERFILES=Makefile README.html topal.man COPYING mkversionid mkhelp help.txt mkdistrib $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch-\*)
 TOPALDEPS=ada-readline-c.o ada-echo-c.o externals-c.o version_id.adb help.ads help.adb $(ADSFILES) $(ADBFILES)
 
 INSTALLPATH ?= /usr
@@ -62,7 +62,7 @@
 
 topal.gz.asc:	topal.gz
 	-rm topal.gz.asc
-	-gpg --detach-sign --armor --local-user=$(MYKEY) topal.gz
+	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal.gz
 
 topal-ps:	$(TOPALDEPS)
 	gnatmake -gnatwa -gnato -o topal-ps -O2 $(TOPALDEBUG) topal -bargs -static
@@ -73,24 +73,24 @@
 
 topal-ps.gz.asc:	topal-ps.gz
 	-rm topal-ps.gz.asc
-	-gpg --detach-sign --armor --local-user=$(MYKEY) topal-ps.gz
+	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-ps.gz
 
 # FORCE, because BUILDDATE changes each time....
-version_id.adb:	mkversionid release FORCE
+version_id.adb:	mkversionid FORCE
 	./mkversionid $(RELEASECODE) $(BUILDDATE)
 
 help.ads help.adb: mkhelp help.txt
 	./mkhelp
 
 README.txt:	README.html
-	lynx -dont_wrap_pre -dump README.html > README.txt
+	lynx -dont_wrap_pre -underscore -nolist -dump README.html > README.txt
 
 install:	all
 	install -d $(INSTALLPATHBIN) $(INSTALLPATHDOC) $(INSTALLPATHMAN)/man1 $(INSTALLPATHPATCHES)
 	install -m 755 -s topal $(INSTALLPATHBIN)
 	install -m 644 README.html README.txt COPYING $(INSTALLPATHDOC)
 	install -m 644 topal.man $(INSTALLPATHMAN)/man1/topal.1
-	install -m 644 pine-*.patch alpine-*.patch $(INSTALLPATHPATCHES)
+	install -m 644 pine-*.patch alpine-*.patch alpine-*.patch-* $(INSTALLPATHPATCHES)
 	install -m 755 -s MIME-tool/mime-tool $(INSTALLPATHBIN)
 	install -m 644 MIME-tool/mime-tool.man $(INSTALLPATHMAN)/man1/mime-tool.1
 
@@ -119,12 +119,12 @@
 
 topal-package-$(RELEASECODE).tgz.asc:	topal-package-$(RELEASECODE).tgz
 	-rm topal-package-$(RELEASECODE).tgz.asc
-	-gpg --detach-sign --armor --local-user=$(MYKEY) topal-package-$(RELEASECODE).tgz
+	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-package-$(RELEASECODE).tgz
 
-distrib:	 topal-package-$(RELEASECODE).tgz.asc topal.gz.asc topal-ps.gz.asc mkdistrib release
+distrib:	 topal-package-$(RELEASECODE).tgz.asc topal.gz.asc topal-ps.gz.asc mkdistrib
 	-rm -rf www
 	mkdir www
-	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.gz topal.gz.asc topal-ps.gz topal-ps.gz.asc README.html COPYING pine-*.patch alpine-*.patch release www
+	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.gz topal.gz.asc topal-ps.gz topal-ps.gz.asc README.html COPYING pine-*.patch alpine-*.patch alpine-*.patch-* www
 	cd www && ../mkdistrib $(RELEASECODE)
 
 FORCE:

## topal 74

=== Makefile ===
# Topal: GPG/GnuPG and Alpine/Pine integration
# Copyright (C) 2001--2011  Phillip J. Brooke
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

.PHONY:	all binary doc clean realclean distclean package install distrib all2 FORCE

RELEASECODE=$(shell grep '^<dt>' Changelog.html | tail -1 | sed 's/.* release //; sx</a>.*$$xx')
BUILDDATE=$(shell date '+%Y-%m-%dT%H%M%S%Z')

# If you intend to redistribute this package, you will obviously need
# to substitute your own key id here.
MYKEY=0x50973B91


GENFILES=$(addprefix ./,version_id.adb help.ads help.adb b~topal.ads b~topal.adb)
CFILES=$(shell find . -maxdepth 1 -name \*.c)
ADSFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.ads))
ADBFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.adb))
OTHERFILES=Makefile Changelog.html Features.html topal.pdf topal.tex topal.man COPYING mkversionid mkversionidtex mkhelp help.txt mkdistrib cygwin.patch $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch-\*)
TOPALDEPS=ada-readline-c.o ada-echo-c.o externals-c.o version_id.adb help.ads help.adb $(ADSFILES) $(ADBFILES)

INSTALLPATH ?= /usr
INSTALLPATHBIN ?= $(INSTALLPATH)/bin
INSTALLPATHMAN ?= $(INSTALLPATH)/share/man
INSTALLPATHDOC ?= $(INSTALLPATH)/share/doc/topal
INSTALLPATHPATCHES ?= $(INSTALLPATH)/share/topal/patches

# The default action.
all:	binary topal.pdf

binary: topal mime-tool

all2:	package distrib

ada-readline-c.o:	ada-readline-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) ada-readline-c.c

ada-echo-c.o:	ada-echo-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) ada-echo-c.c

externals-c.o:	externals-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) externals-c.c

mime-tool:	
	make -C MIME-tool

topal:	$(TOPALDEPS)
	gnatmake -gnat05 -gnatwa -gnato -O2 $(TOPALDEBUG) topal
	-strip topal

# FORCE, because BUILDDATE changes each time....
version_id.adb:	mkversionid FORCE
	./mkversionid $(RELEASECODE) $(BUILDDATE)

versionid.tex:	mkversionidtex FORCE
	./mkversionidtex $(RELEASECODE) $(BUILDDATE)

help.ads help.adb: mkhelp help.txt
	./mkhelp

doc:	topal.pdf

topal.pdf:	topal.tex versionid.tex
	pdflatex topal.tex && pdflatex topal.tex

install:	all
	install -d $(INSTALLPATHBIN) $(INSTALLPATHDOC) $(INSTALLPATHMAN)/man1 $(INSTALLPATHPATCHES)
	install -m 755 -s topal $(INSTALLPATHBIN)
	install -m 644 Features.html Changelog.html topal.pdf COPYING $(INSTALLPATHDOC)
	install -m 644 topal.man $(INSTALLPATHMAN)/man1/topal.1
	install -m 644 pine-*.patch alpine-*.patch alpine-*.patch-* $(INSTALLPATHPATCHES)
	install -m 755 -s MIME-tool/mime-tool $(INSTALLPATHBIN)
	install -m 644 MIME-tool/mime-tool.man $(INSTALLPATHMAN)/man1/mime-tool.1

clean:
	-rm *.o *.ali $(GENFILES)
	# Clean LaTeX stuff.
	-rm topal.{toc,out,log,aux}
	# Clean packaging directories.
	-rm -rf topal-[0-9]*
	make -C MIME-tool clean

distclean realclean:	clean
	-rm topal topal.gz topal.gz.asc topal-ps topal-ps.gz topal-ps.gz.asc README.txt topal-package*.{tgz,tgz.sig,tgz.asc} *~
	-rm -rf www www.bak
	make -C MIME-tool realclean

package:	topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc

topal-package-$(RELEASECODE).tgz:	$(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) doc
	-rm -rf topal-$(RELEASECODE)
	mkdir topal-$(RELEASECODE)
	cp -r $(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) MIME-tool screens topal-$(RELEASECODE)
	find topal-$(RELEASECODE) -type f | xargs chmod 644
	find topal-$(RELEASECODE) -type f -name mk\* | xargs chmod 755
	chmod 755 topal-$(RELEASECODE)
	tar cvzf topal-package-$(RELEASECODE).tgz topal-$(RELEASECODE)


topal-package-$(RELEASECODE).tgz.asc:	topal-package-$(RELEASECODE).tgz
	-rm topal-package-$(RELEASECODE).tgz.asc
	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-package-$(RELEASECODE).tgz

distrib:	 topal-package-$(RELEASECODE).tgz.asc mkdistrib
	-rm -rf www
	mkdir www
	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.pdf Changelog.html COPYING www
	cd www && ../mkdistrib $(RELEASECODE)

FORCE:

## topal 75

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Topal: GPG/GnuPG and Alpine/Pine integration
-# Copyright (C) 2001--2011  Phillip J. Brooke
+# Copyright (C) 2001--2012  Phillip J. Brooke
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 3 as

=== MIME-tool/Makefile ===
.PHONY:	all clean realclean distrib

all:	mime-tool

mime-tool:	mime.c
	gcc -Wall -O2 -o mime-tool mime.c
	-strip mime-tool

realclean:	clean
	-rm mime-tool
	-rm mime-tool.tar.gz

clean:
	-rm *~

distrib:	mime-tool.tar.gz

mime-tool.tar.gz:
	tar cvzf mime-tool.tar.gz GPL.txt  Makefile  mime.c  mime-tool.man README.txt README.Topal.txt

## topal 77

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Topal: GPG/GnuPG and Alpine/Pine integration
-# Copyright (C) 2001--2012  Phillip J. Brooke
+# Copyright (C) 2001--2017  Phillip J. Brooke
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 3 as
@@ -13,21 +13,23 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-.PHONY:	all binary doc clean realclean distclean package install distrib all2 FORCE
+.PHONY:	all binary doc clean realclean distclean package tarball install distrib all2 FORCE
 
+SHELL=bash
 RELEASECODE=$(shell grep '^<dt>' Changelog.html | tail -1 | sed 's/.* release //; sx</a>.*$$xx')
 BUILDDATE=$(shell date '+%Y-%m-%dT%H%M%S%Z')
 
 # If you intend to redistribute this package, you will obviously need
 # to substitute your own key id here.
-MYKEY=0x50973B91
+MYKEY=0x47DC67A1
 
+include Buildflags.mk
 
 GENFILES=$(addprefix ./,version_id.adb help.ads help.adb b~topal.ads b~topal.adb)
 CFILES=$(shell find . -maxdepth 1 -name \*.c)
 ADSFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.ads))
 ADBFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.adb))
-OTHERFILES=Makefile Changelog.html Features.html topal.pdf topal.tex topal.man COPYING mkversionid mkversionidtex mkhelp help.txt mkdistrib cygwin.patch $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch-\*)
+OTHERFILES=Makefile Buildflags.mk Changelog.html Features.html topal.pdf topal.tex topal.man COPYING mkversionid mkversionidtex mkhelp help.txt mkdistrib cygwin.patch $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch-\*)
 TOPALDEPS=ada-readline-c.o ada-echo-c.o externals-c.o version_id.adb help.ads help.adb $(ADSFILES) $(ADBFILES)
 
 INSTALLPATH ?= /usr
@@ -35,6 +37,7 @@
 INSTALLPATHMAN ?= $(INSTALLPATH)/share/man
 INSTALLPATHDOC ?= $(INSTALLPATH)/share/doc/topal
 INSTALLPATHPATCHES ?= $(INSTALLPATH)/share/topal/patches
+
 
 # The default action.
 all:	binary topal.pdf
@@ -44,19 +47,19 @@
 all2:	package distrib
 
 ada-readline-c.o:	ada-readline-c.c
-	gcc -c -Wall -O2 $(TOPALDEBUG) ada-readline-c.c
+	gcc -c $(DEBCFLAGS) $(TOPALDEBUG) ada-readline-c.c
 
 ada-echo-c.o:	ada-echo-c.c
-	gcc -c -Wall -O2 $(TOPALDEBUG) ada-echo-c.c
+	gcc -c $(DEBCFLAGS) $(TOPALDEBUG) ada-echo-c.c
 
 externals-c.o:	externals-c.c
-	gcc -c -Wall -O2 $(TOPALDEBUG) externals-c.c
+	gcc -c $(DEBCFLAGS) $(TOPALDEBUG) externals-c.c
 
 mime-tool:	
 	make -C MIME-tool
 
 topal:	$(TOPALDEPS)
-	gnatmake -gnat05 -gnatwa -gnato -O2 $(TOPALDEBUG) topal
+	gnatmake -gnat2012 -gnatwa -gnata -gnato -gnateE $(DEBADAFLAGS) $(TOPALDEBUG) topal -largs $(DEBLDFLAGS)
 	-strip topal
 
 # FORCE, because BUILDDATE changes each time....
@@ -92,11 +95,13 @@
 	make -C MIME-tool clean
 
 distclean realclean:	clean
-	-rm topal topal.gz topal.gz.asc topal-ps topal-ps.gz topal-ps.gz.asc README.txt topal-package*.{tgz,tgz.sig,tgz.asc} *~
+	-rm topal topal.gz topal.gz.asc topal-ps topal-ps.gz topal-ps.gz.asc README.txt topal-package*.{tgz,tgz.sig,tgz.asc} topal-package*-tgz.asc *~
 	-rm -rf www www.bak
 	make -C MIME-tool realclean
 
 package:	topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc
+
+tarball:	topal-package-$(RELEASECODE).tgz
 
 topal-package-$(RELEASECODE).tgz:	$(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) doc
 	-rm -rf topal-$(RELEASECODE)
@@ -107,15 +112,16 @@
 	chmod 755 topal-$(RELEASECODE)
 	tar cvzf topal-package-$(RELEASECODE).tgz topal-$(RELEASECODE)
 
+# User -tgz.asc instead of .tgz.asc because of VM/NTL's stupid web server.
+topal-package-$(RELEASECODE)-tgz.asc:	topal-package-$(RELEASECODE).tgz
+	-rm topal-package-$(RELEASECODE)-tgz.asc
+	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-package-$(RELEASECODE).tgz
+	mv topal-package-$(RELEASECODE).tgz.asc topal-package-$(RELEASECODE)-tgz.asc
 
-topal-package-$(RELEASECODE).tgz.asc:	topal-package-$(RELEASECODE).tgz
-	-rm topal-package-$(RELEASECODE).tgz.asc
-	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-package-$(RELEASECODE).tgz
-
-distrib:	 topal-package-$(RELEASECODE).tgz.asc mkdistrib
+distrib:	 topal-package-$(RELEASECODE)-tgz.asc mkdistrib
 	-rm -rf www
 	mkdir www
-	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.pdf Changelog.html COPYING www
+	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE)-tgz.asc topal.pdf Changelog.html COPYING www
 	cd www && ../mkdistrib $(RELEASECODE)
 
 FORCE:

=== MIME-tool/Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
 .PHONY:	all clean realclean distrib
+
+include ../Buildflags.mk
 
 all:	mime-tool
 
 mime-tool:	mime.c
-	gcc -Wall -O2 -o mime-tool mime.c
+	gcc $(DEBCFLAGS) -o mime-tool mime.c $(DEBLDFLAGS)
 	-strip mime-tool
 
 realclean:	clean

## topal 78

=== MIME-tool/Makefile ===
--- 
+++ 
@@ -5,15 +5,13 @@
 all:	mime-tool
 
 mime-tool:	mime.c
-	gcc $(DEBCFLAGS) -o mime-tool mime.c $(DEBLDFLAGS)
-	-strip mime-tool
+		$(CC) -c $(default_CFLAGS) $(default_LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< -o $@
 
 realclean:	clean
-	-rm mime-tool
-	-rm mime-tool.tar.gz
+	$(RM) mime-tool mime-tool.tar.gz
 
 clean:
-	-rm *~
+	$(RM) *~
 
 distrib:	mime-tool.tar.gz

## topal 80

=== Makefile ===
# Topal: GPG/GnuPG and Alpine/Pine integration
# Copyright (C) 2001--2018  Phillip J. Brooke
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

.PHONY:	all binary doc clean realclean distclean package tarball install distrib all2 FORCE

RELEASECODE=$(shell grep '^<dt>' Changelog.html | tail -1 | sed 's/.* release //; sx</a>.*$$xx')
ifdef SOURCE_DATE_EPOCH
  BUILDDATE := $(shell date '+%Y-%m-%dT%H%M%S%Z' -d @$(SOURCE_DATE_EPOCH))
else
  BUILDDATE := $(shell date '+%Y-%m-%dT%H%M%S%Z')
endif

# If you intend to redistribute this package, you will obviously need
# to substitute your own key id here.
MYKEY=0x47DC67A1

include Buildflags.mk

GENFILES=$(addprefix ./,version_id.adb help.ads help.adb b~topal.ads b~topal.adb)
CFILES=$(shell find . -maxdepth 1 -name \*.c)
ADSFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.ads))
ADBFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.adb))
OTHERFILES=Makefile Buildflags.mk Changelog.html Features.html topal.tex topal.man COPYING mkversionid mkversionidtex mkhelp help.txt mkdistrib cygwin.patch $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch-\*)
c_objects := $(CFILES:c=o)
TOPALDEPS=$(c_objects) version_id.adb help.ads help.adb $(ADSFILES) $(ADBFILES)

DESTDIR ?=
prefix ?= /usr
INSTALLPATH ?= $(DESTDIR)$(prefix)
INSTALLPATHBIN ?= $(INSTALLPATH)/bin
INSTALLPATHMAN ?= $(INSTALLPATH)/share/man
INSTALLPATHDOC ?= $(INSTALLPATH)/share/doc/topal
INSTALLPATHPATCHES ?= $(INSTALLPATH)/share/topal/patches

# Set this to "true" to keep debugging symbols.
strip ?= strip


# The default action.
all:	binary topal.pdf

binary: topal mime-tool

all2:	package distrib

$(c_objects): %.o: %.c
	$(CC) -c $(default_CFLAGS) $(CFLAGS) $(CPPFLAGS) $< -o $@

mime-tool:	
	make -C MIME-tool

topal:	$(TOPALDEPS)
	gnatmake $(gnatmake_options) topal.adb \
	  -cargs $(default_ADAFLAGS) $(ADAFLAGS) \
	  -largs $(default_LDFLAGS) $(LDFLAGS) \

# FORCE, because BUILDDATE changes each time....
version_id.adb:	mkversionid FORCE
	./mkversionid $(RELEASECODE) $(BUILDDATE)

versionid.tex:	mkversionidtex FORCE
	./mkversionidtex $(RELEASECODE) $(BUILDDATE)

help.ads help.adb: mkhelp help.txt
	./mkhelp

doc:	topal.pdf

topal.pdf:	topal.tex versionid.tex
	pdflatex topal.tex && pdflatex topal.tex

install:	all
	install -d $(INSTALLPATHBIN) $(INSTALLPATHDOC) $(INSTALLPATHMAN)/man1 $(INSTALLPATHPATCHES)
	install -m 755 -s --strip-program=$(strip) topal $(INSTALLPATHBIN)
	install -m 644 Features.html Changelog.html topal.pdf COPYING $(INSTALLPATHDOC)
	install -m 644 topal.man $(INSTALLPATHMAN)/man1/topal.1
	install -m 644 pine-*.patch alpine-*.patch alpine-*.patch-* $(INSTALLPATHPATCHES)
	install -m 755 -s --strip-program=$(strip) MIME-tool/mime-tool $(INSTALLPATHBIN)
	install -m 644 MIME-tool/mime-tool.man $(INSTALLPATHMAN)/man1/mime-tool.1

clean:
	$(RM) *.o *.ali $(GENFILES)
	# Clean LaTeX stuff.
	$(RM) $(addprefix topal.,toc out log aux)
	# Clean packaging directories.
	-$(RM) -r topal-[0-9]*
	make -C MIME-tool clean

distclean realclean:	clean
	$(RM) topal README.txt *~ \
	  $(addprefix topal,.gz .gz.asc -ps -ps.gz -ps.gz.asc) \
	  $(addprefix topal-package*,.tgz .tgz.sig .tgz.asc)
	-$(RM) -r www www.bak
	make -C MIME-tool realclean

package:	topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc

tarball:	topal-package-$(RELEASECODE).tgz

topal-package-$(RELEASECODE).tgz:	$(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES)
	-$(RM) -r topal-$(RELEASECODE)
	mkdir -p topal-$(RELEASECODE)/MIME-tool
	cp -r $(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) screens topal-$(RELEASECODE)
	cp -r $(filter-out MIME-tool/mime-tool,$(wildcard MIME-tool/*)) topal-$(RELEASECODE)/MIME-tool
	find topal-$(RELEASECODE) -type f | xargs chmod 644
	find topal-$(RELEASECODE) -type f -name mk\* | xargs chmod 755
	chmod 755 topal-$(RELEASECODE)
	tar cvzf topal-package-$(RELEASECODE).tgz topal-$(RELEASECODE)

topal-package-$(RELEASECODE).tgz.asc:	topal-package-$(RELEASECODE).tgz
	$(RM) topal-package-$(RELEASECODE).tgz.asc
	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-package-$(RELEASECODE).tgz

distrib:	 topal-package-$(RELEASECODE).tgz.asc mkdistrib
	-$(RM) -r www
	mkdir www
	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.pdf Changelog.html COPYING www
	cd www && ../mkdistrib $(RELEASECODE)

FORCE:

=== MIME-tool/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 all:	mime-tool
 
 mime-tool:	mime.c
-		$(CC) -c $(default_CFLAGS) $(default_LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< -o $@
+		$(CC) $(default_CFLAGS) $(default_LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< -o $@
 
 realclean:	clean
 	$(RM) mime-tool mime-tool.tar.gz

## topal 81

=== Makefile ===
# Topal: GPG/GnuPG and Alpine/Pine integration
# Copyright (C) 2001--2022  Phillip J. Brooke
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

RELEASECODE := $(shell grep '^<dt>' Changelog.html | tail -1 | sed 's/.* release //; sx</a>.*$$xx')
ifdef SOURCE_DATE_EPOCH
  BUILDDATE := $(shell date '+%Y-%m-%dT%H%M%S%Z' -d @$(SOURCE_DATE_EPOCH))
else
  # Force a rebuild each time this Makefile is run.
  .PHONY: version_id.adb versionid.tex
  BUILDDATE := $(shell date '+%Y-%m-%dT%H%M%S%Z')
endif

# If you intend to redistribute this package, you will obviously need
# to substitute your own key id here.
MYKEY := 0x47DC67A1

include Buildflags.mk

generated_ada_sources := version_id.adb help.ads help.adb
GENFILES := $(generated_ada_sources) b~topal.ads b~topal.adb
CFILES := $(wildcard *.c)
c_objects := $(CFILES:c=o)
ADAFILES := $(filter-out $(GENFILES),$(wildcard *.ad[bs]))
patches := $(wildcard pine-*.patch alpine-*.patch alpine-*.patch-*)
archive     := topal-package-$(RELEASECODE).tgz
archive_asc := topal-package-$(RELEASECODE).tgz.asc
archive_dir := topal-$(RELEASECODE)
archive_components_644 := \
  $(patches) \
  $(CFILES) \
  $(ADAFILES) \
  Buildflags.mk \
  COPYING \
  Changelog.html \
  Features.html \
  MIME-tool/GPL.txt \
  MIME-tool/Makefile \
  MIME-tool/README.Topal.txt \
  MIME-tool/README.txt \
  MIME-tool/mime-tool.man \
  MIME-tool/mime.c \
  Makefile \
  cygwin.patch \
  help.txt \
  topal.man \
  topal.pdf \
  topal.tex
archive_components_755 := \
  screens \
  mkdistrib \
  mkhelp \
  mkversionid \
  mkversionidtex

DESTDIR ?=
prefix ?= /usr
INSTALLPATH ?= $(DESTDIR)$(prefix)
INSTALLPATHBIN ?= $(INSTALLPATH)/bin
INSTALLPATHMAN ?= $(INSTALLPATH)/share/man
INSTALLPATHDOC ?= $(INSTALLPATH)/share/doc/topal
INSTALLPATHPATCHES ?= $(INSTALLPATH)/share/topal/patches

# Set this to "true" to keep debugging symbols.
strip ?= strip


.PHONY: all binary all2

# The default action.
all:	binary topal.pdf

binary: topal mime-tool

all2:	package distrib

$(c_objects): %.o: %.c
	$(CC) -c $(default_CFLAGS) $(CFLAGS) $(CPPFLAGS) $< -o $@

mime-tool:	
	$(MAKE) -C MIME-tool

# Always run gnatmake, it knows better than Make in which order Ada
# units must be recompiled.
.PHONY: topal
topal: $(c_objects) $(generated_ada_sources)
	gnatmake -j4 $(gnatmake_options) topal.adb \
	  -cargs $(default_ADAFLAGS) $(ADAFLAGS) \
	  -largs $(default_LDFLAGS) $(LDFLAGS) \

version_id.adb:	mkversionid
	./mkversionid $(RELEASECODE) $(BUILDDATE)

versionid.tex:	mkversionidtex
	./mkversionidtex $(RELEASECODE) $(BUILDDATE)

# We want this to be run only once.
# Using the hint at https://www.cmcrossroads.com/article/rules-multiple-outputs-gnu-make
%.ads %.adb: %.txt mkhelp
	./mkhelp

.PHONY: doc
doc:	topal.pdf

topal.pdf:	topal.tex versionid.tex
	pdflatex $<
	pdflatex $<

.PHONY: install
install:	all
	install -d $(INSTALLPATHBIN) $(INSTALLPATHDOC) $(INSTALLPATHMAN)/man1 $(INSTALLPATHPATCHES)
	install -m 755 -s --strip-program=$(strip) topal $(INSTALLPATHBIN)
	install -m 644 Features.html Changelog.html topal.pdf COPYING $(INSTALLPATHDOC)
	install -m 644 topal.man $(INSTALLPATHMAN)/man1/topal.1
	install -m 644 $(patches) $(INSTALLPATHPATCHES)
	install -m 755 -s --strip-program=$(strip) MIME-tool/mime-tool $(INSTALLPATHBIN)
	install -m 644 MIME-tool/mime-tool.man $(INSTALLPATHMAN)/man1/mime-tool.1

.PHONY: clean
clean:
	$(RM) *.o *.ali $(GENFILES) versionid.tex
	# Clean LaTeX stuff.
	$(RM) $(addprefix topal.,toc out log aux)
	# Clean packaging directories.
	-$(RM) -r topal-[0-9]*
	$(MAKE) -C MIME-tool $@

.PHONY: distclean realclean
distclean realclean:	clean
	-$(RM) topal README.txt *~ $(archive) $(archive_asc) topal.pdf
	-$(RM) -r www www.bak
	$(MAKE) -C MIME-tool $@


.PHONY:	package tarball fixperms

package:	$(archive) $(archive_asc)

tarball:	$(archive)

# fixperms: for manual fix before a rebuild
fixperms:	
	-chmod 644 $(archive_components_644)
	-chmod 755 $(archive_components_755)

$(archive):	$(archive_components_644) $(archive_components_755)
	chmod 644 $(archive_components_644)
	chmod 755 $(archive_components_755)
	tar cvaf $@ --transform='s|^|$(archive_dir)/|' $^

$(archive_asc):	$(archive)
	-gpg --detach-sign --armor --local-user=$(MYKEY) -o $@ $<

.PHONY: distrib
distrib:	 $(archive) $(archive_asc) mkdistrib
	-$(RM) -r www
	mkdir www
	cp $(archive) $(archive_asc) topal.pdf Changelog.html COPYING www
	cd www && ../mkdistrib $(RELEASECODE)

=== MIME-tool/Makefile ===
.PHONY:	all clean realclean distclean distrib

executable := mime-tool
archive := mime-tool.tar.gz
components := GPL.txt Makefile mime.c $(executable).man \
	README.txt README.Topal.txt

include ../Buildflags.mk

all:	$(executable)

$(executable):	mime.c
		$(CC) $(default_CFLAGS) $(default_LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< -o $@

realclean distclean:	clean
	-$(RM) $(executable) $(archive)

clean:
	-$(RM) *~

distrib:	$(archive)

$(archive):	$(components)
	tar cvaf $@ $^

=== debian/changelog ===
topal (81-2ubuntu2.1) noble; urgency=medium

  * SRU: LP: #2083315: No-change rebuild for gnat 64bit time_t changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Oct 2024 12:31:46 +0200

topal (81-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:47 +1100

topal (81-2ubuntu1) noble; urgency=medium

  * Build-depend on dh-ada-library.
  * Fix makefile include.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 18:04:45 +0100

topal (81-2build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 03:01:58 +0100

topal (81-2) unstable; urgency=medium

  * Re-upload for GNAT-11 transition.
  * Apply suggestions from Nicolas Boulenguez (thank you).
    - Use debhelper-compat instead of debian/compat file.
    - Update copyright.
    - Unversioned GNAT package dependency (instead of gnat-11).
    - Update dh_auto_build rule as pdflatex is run by install target.
    - Remove dh_clean override (obsolete).
  * Bump standards-version to 4.6.1.

 -- Phil Brooke <pjb@debian.org>  Tue, 17 May 2022 21:48:53 +0100

topal (81-1) experimental; urgency=medium

  * New upstream release.
  * Convert to source format 3.0 quilt (closes: #1007470).
  * Apply many suggestions from Nicolas Boulenguez (thank you).
    - Apply rules-require-root: no.
    - More use of dh_auto_install.
    - Set BUILDER_OPTIONS for gnatmake -m to use checksums rather
      than timestamps.
    - More hardening flags.
    - Remove some trailing whitespace from changelog.
    - Tighten texlive dependencies.
    - Closes: #903998.
  * Change recommends on mime-support to mailcap (closes: #1009767).
  * Bump to debhelper 13.
  * Bump standards-version to 4.6.0.

 -- Phil Brooke <pjb@debian.org>  Sun, 24 Apr 2022 17:26:22 +0100

topal (80-1) unstable; urgency=medium

  * New upstream release:
    - Fixes key handling.
    - Changes debug handling to not mess up terminals.
    - Fixes broken build of mime-tool (closes: #923040).

 -- Phil Brooke <pjb@debian.org>  Sat, 23 Feb 2019 13:59:41 +0000

topal (78-2) unstable; urgency=medium

  * Re-upload to carry changes from experimental to unstable (for
    GNAT-8 transition).

 -- Phil Brooke <pjb@debian.org>  Sun, 21 Oct 2018 15:35:27 +0100

topal (78-1) experimental; urgency=medium

  * New upstream release.
  * Apply some patches from Nicolas Boulenguez (thank you!).
    - Add homepage field to control.
    - Switch rules to use dh driver.
    - Remove some unused variables, unnecessary clean and an obsolete
      comment.

 -- Phil Brooke <pjb@debian.org>  Sun, 22 Jul 2018 15:03:33 +0100

topal (77-1) unstable; urgency=medium

  * New upstream release.
  * Apply some patches from Nicolas Boulenguez:
     * Fix typo in 75-2.1 changelog entry.
     * Copyright file now format 1.0.
     * Register manual in doc-base.
     * Manage symlinks with debian/links, removing prerm/postinst.
     * Drop obsolete shlibs.local.
     * Depend on gnat, but not a specific gnat version.
    Many thanks, Nicolas.
  * New upstream URL.
  * Bump standards-version to 4.1.0.
  * Bump debian/compat to 10 and update debhelper build-depends.

 -- Phil Brooke <pjb@debian.org>  Wed, 20 Sep 2017 19:03:44 +0100

topal (75-3) unstable; urgency=medium

  * Ack NMU 75-2.1; thank you, Nicolas.
  * Fix misuse of sed character class syntax which stops topal
    working.  (Closes: #870825.)
    Thank you to Max Justicz and Olaf Skibbe for bug reports and
    testing.

 -- Phil Brooke <pjb@debian.org>  Sun, 06 Aug 2017 16:52:11 +0100

topal (75-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with gnat-6 and bump ALI version. Closes: #830333.
    Select gnatgcc (currently gcc-6) instead of gcc (currently gcc-5).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 18:12:06 +0200

topal (75-2) unstable; urgency=medium

  * Remove metamail from suggests list.  (Closes: #665090.)
  * Update to gnat-4.9.  (Closes: #751697.)
  * Bump standards-version to 3.9.5.
  * Add dpkg-buildflags.
  * Add debian/source/format.
  * Add an override re: the mime-tool source.  This is a bug to be
    fixed upstream, then the override can be removed.

 -- Phil Brooke <pjb@debian.org>  Tue, 22 Jul 2014 17:00:07 +0100

topal (75-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.3.
  * Bump gnat version to 4.6.

 -- Phil Brooke <pjb@debian.org>  Mon, 27 Feb 2012 08:13:00 +0000

topal (74-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.2.
  * Upstream documentation changes:
     * No longer need weblint.
     * Uses some texlive packages instead.
     * Remove LaTeX aux files in clean target.
     * Updated debian/docs.
     * Rename and convert Changelog.html to text.
  * Added build-arch and build-indep targets.

 -- Phil Brooke <pjb@debian.org>  Mon, 04 Jul 2011 12:25:03 +0100

topal (72-1) unstable; urgency=low

  * New upstream release.

 -- Phil Brooke <pjb@debian.org>  Mon, 01 Mar 2010 15:18:34 +0000

topal (70-1) unstable; urgency=low

  * New upstream release.
  * Bump gnat version to 4.4.
  * Change architecture to any (to match gnat-4.4).
    (Closes: #568453, #542420).
  * Bump standards version to 3.8.4.
  * Add ${misc:Depends} to Depends.
  * Topal no longer uses tofrodos.

 -- Phil Brooke <pjb@debian.org>  Sat, 06 Feb 2010 15:52:29 +0000

topal (68-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.8.2.
  * Bump debian/compat to 6 and build-depends on debhelper.
  * Now refer to GPL-3 common licence, not GPL.
  * Adjust dates in copyright notice.
  * Alpine patch names have changed slightly in upstream: so
    update debian/rules.

 -- Phil Brooke <pjb@debian.org>  Sat, 27 Jun 2009 15:27:08 +0100

topal (62-1) unstable; urgency=low

  * New upstream release.  This includes the necessary upstream work


=== debian/control ===
Source: topal
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Phil Brooke <pjb@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ada-library,
 gnat (>= 11),
 libreadline-dev,
 texlive,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-fonts-recommended,
 texlive-fonts-extra
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.zircon.org.uk/topal/

Package: topal
Architecture: any
Depends: gnupg, ${shlibs:Depends}, ${misc:Depends}, less
Recommends: alpine, mailcap, procmail, openssl, gpgsm
Description: Links Pine and GnuPG together
 Topal is yet another program that links GnuPG and Pine/Alpine.  It
 offers facilities to encrypt, decrypt, sign, and verify messages.
 Multiple PGP blocks included in the text of a message are processed.
 Decryption and verification output can be cached to reduce the
 number of times the passphrase is entered.  RFC2015/3156 multipart
 messages can be sent and received with help from some scripts,
 procmail, and a patch to Pine/Alpine.  It includes basic support for
 verifying S/MIME multipart/signed messages.  There is a remote
 sending mode for reading email on a distant computer via SSH with
 secret keys on the local computer.  There is a high level of
 configurability.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/packaging.mk

# Compile Ada and C with the same compiler.
CC := gnatgcc

# Upstream Makefile insists on rebuilding everything everytime.
# SOURCE_DATE_EPOCH (set by debhelper) and the -m gnatmake option may
# avoid some unneeded recompilations.
GNATMAKEFLAGS += -m

recursive_make_variables := \
	strip=true \
	"gnatmake_options=$(GNATMAKEFLAGS)" \
	$(foreach v,ADAFLAGS CC CFLAGS CPPFLAGS LDFLAGS,"$(v)=$($(v))")

%:
	dh  $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- $(recursive_make_variables)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- $(recursive_make_variables)
	# The verbatim GPL would duplicate /usr/share/common-licenses.
	rm -f debian/topal/usr/share/doc/topal/COPYING
	# Let dh_installchangelogs handle an html changelog.
	rm -f debian/topal/usr/share/doc/topal/Changelog.html

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs Changelog.html

## topal 84

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Topal: GPG/GnuPG and Alpine/Pine integration
-# Copyright (C) 2001--2022  Phillip J. Brooke
+# Copyright (C) 2001--2024  Phillip J. Brooke
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 3 as

=== debian/changelog ===
topal (84-1build1) plucky; urgency=medium

  * No-change rebuild with gnat-14

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 10 Mar 2025 11:26:13 +0000

topal (84-1) unstable; urgency=medium

  * New upstream release.
  * Apply patch from Nicolas Boulenguez (thank you).
    - Fixes /usr/share/ada/debian_packaging.mk missing for
      debian/rules (closes: #1067320).
    - Assorted cleanups to Debian packaging.
  * Move to Salsa as Git VCS and minor polish.

 -- Phil Brooke <pjb@debian.org>  Tue, 07 May 2024 16:22:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: topal
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Phil Brooke <pjb@debian.org>
+Maintainer: Phil Brooke <pjb@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ada-library,
+ dh-ada-library (>= 8.2),
  gnat (>= 11),
  libreadline-dev,
- texlive,
+ texlive-fonts-extra,
+ texlive-fonts-recommended,
  texlive-latex-base,
  texlive-latex-extra,
- texlive-fonts-recommended,
- texlive-fonts-extra
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://www.zircon.org.uk/topal/
+Homepage: https://green-pike.co.uk/topal/
+Vcs-Browser: https://salsa.debian.org/debian/topal
+Vcs-Git: https://salsa.debian.org/debian/topal.git
 
 Package: topal
 Architecture: any
 Depends: gnupg, ${shlibs:Depends}, ${misc:Depends}, less
 Recommends: alpine, mailcap, procmail, openssl, gpgsm
-Description: Links Pine and GnuPG together
+Description: Glue between the Alpine email client and GnuPG cryptography
  Topal is yet another program that links GnuPG and Pine/Alpine.  It
  offers facilities to encrypt, decrypt, sign, and verify messages.
  Multiple PGP blocks included in the text of a message are processed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

# Compile Ada and C with the same compiler.
export CC := gcc-$(DEB_GNAT_VERSION)

# Upstream Makefile insists on rebuilding everything everytime.
# SOURCE_DATE_EPOCH (set by debhelper) and the -m gnatmake option may
# avoid some unneeded recompilations.
export gnatmake_options := $(GNATMAKEFLAGS) -m

# Tell Make not to strip the executables (dh_strip will).
export strip := true

%:
	dh  $@

execute_after_dh_auto_install:
	# The verbatim GPL would duplicate /usr/share/common-licenses.
	rm -f debian/topal/usr/share/doc/topal/COPYING
	# Let dh_installchangelogs handle an html changelog.
	rm -f debian/topal/usr/share/doc/topal/Changelog.html

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs Changelog.html
